Subject: Re: bug#2375: 23.0.90; ^ in gnus summary buffer does not work in the nextstep build

From: Stefan Monnier <[email-masked]>
Date: Tue, 10 Mar 2009 13:18:43 -0400

>> I don't know what "preedit" or "caret" are either :-(

> "Preedit" is an intermediate text.  It is used for showing partial
> result of composition.  In Japanese input methods, it is also used for
> showing phonetic characters to be converted to ideographic characters,
> or the current selection of ideographic characters among homonyms.

> The "caret" corresponds to the cursor and it represents the current
> insertion/deletion point in the preedit text.  For example, one can
> erase a phonetic character in the middle of the preedit text before
> the phonetic-to-ideographic (kana-kanji) conversion.

I see.  Looking at Emacs-22's mac-win.el, it looks like some of the
functionality you describe was there in Emacs-22 already and it got lost
when we switched to Emacs.app.
Could someone try to adapt that code to ns-win.el?

        Stefan